Name:           epstool
Version:        3.09
Release:        %mkrel 1
Summary:     A utility to create or extract preview images in EPS files
Group:          Publishing
License:        GPLv2+
URL:            http://www.ghostgum.com.au/software/epstool.htm
Source0:        http://www.ghostgum.com.au/download/%{name}-%{version}.tar.xz
Patch0:         02_no_use_gnu.patch
Patch1:         03_cross_buildable.patch
Patch2:         %{name}-%{version}-nostrip.patch
BuildRequires:  dos2unix

%description
Epstool is a utility to create or extract preview images in EPS files,
fix bounding boxes and convert to bitmaps.

Features:
- Add EPSI, DOS EPS or Mac PICT previews.
- Extract PostScript from DOS EPS files.
- Uses Ghostscript to create preview bitmaps.
- Create a TIFF, WMF, PICT or Interchange preview from part of a
  bitmap created by Ghostscript.

%prep
%setup -q
find . -type f -exec dos2unix -k {} \;
%apply_patches

%build
%make_build CFLAGS="%{optflags} -D_GNU_SOURCE"

%install
rm -rf %buildroot
%make_install \
        EPSTOOL_ROOT=%{buildroot}%{_prefix} \
        EPSTOOL_MANDIR=%{buildroot}%{_mandir}
rm -rf %{buildroot}/usr/share/doc

%files
%attr(0755,root,root) %{_bindir}/epstool 
%attr(0644,root,root) %{_mandir}/man1/epstool.1.*

%changelog
* Wed Dec 01 2022 tex - 3.09-1pclos2022
- create pkg
